Subject: Re: bug#42562: Problem with rendering Persian text still exists in minibuffer and dired

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Jul 2020 17:31:07 +0300

> From: Sineau Gh <[email-masked]>
> Date: Fri, 31 Jul 2020 18:02:19 +0430
> Cc: [email-masked]
> 
> I have one more question. You have hinted in a previous email that
> setting the font for emacs may cause it to use a font that doesn't
> support arabic shaping. Are you suggesting that I can't use commands
> like `set-frame-font` or `default-aframe-list` like before? Or is
> there something else in my config that messes up the ligatures?

You can use those commands, but be careful which fonts you name there.
Especially if you use set-fontset-font for Persian characters.